module.exports = {
  root: true,
  parser: "@typescript-eslint/parser",
  plugins: ["@typescript-eslint", "prettier"],
  extends: [
    "eslint:recommended",
    "plugin:@typescript-eslint/recommended",
    "plugin:prettier/recommended",
  ],
  env: {
    browser: true,
  },
  overrides: [
    {
      files: ["**/jest.config.js", "**/.eslintrc.js"],
      env: {
        node: true,
      },
    },
  ],
  ignorePatterns: ["lib/"],
  rules: {
    "@typescript-eslint/ban-ts-comment": [
      "error",
      { "ts-ignore": "allow-with-description" },
    ],
  },
};
