export const ENTITY_TYPES_METAMODEL = [
  "TZTime",
  "Date",
  "Decimal",
  "Interval",
  "Bytes",
  "Datetime",
  "String",
  "TZDatetime",
  "BigInt",
  "Time",
  "Int",
  "Float",
  "Boolean",
  "Password",
  "CWRType",
  "CWAttribute",
  "CWRelation",
  "CWComputedRType",
  "CWConstraint",
  "CWConstraintType",
  "CWUniqueTogetherConstraint",
  "RQLExpression",
  "Transition",
  "TrInfo",
  "WorkflowTransition",
  "BaseTransition",
  "SubWorkflowExitPoint",
  "CWProperty",
  "ExternalUri",
  "CWDataImport",
  "CWSource",
  "CWSourceHostConfig",
  "CWSession",
  "CWUser",
  "CWEType",
  "CWGroup",
  "Workflow",
  "State",
  "Bookmark",
  "EmailAddress",
];

export const RELATIONS_AND_ATTRIBUTES_METAMODEL_INFOBOX: Partial<
  typeof RELATIONS_AND_ATTRIBUTES_METAMODEL
> = [
  "eid",
  "cwuri",
  "creation_date",
  "modification_date",
  "created_by",
  "owned_by",
];

export const RELATIONS_AND_ATTRIBUTES_METAMODEL_MINIMAL: Partial<
  typeof RELATIONS_AND_ATTRIBUTES_METAMODEL
> = ["eid", "creation_date", "modification_date"];

export const RELATIONS_TO_IGNORE = ["eid", "has_text", "identity"];

export const RELATION_OBJECTS_TO_IGNORE = ["Password", "Bytes"];

export const RELATIONS_AND_ATTRIBUTES_METAMODEL = [
  ...RELATIONS_TO_IGNORE,
  "owned_by",
  "created_by",
  "is",
  "is_instance_of",
  "creation_date",
  "cw_source",
  "modification_date",
  "cwuri",
  "custom_workflow",
  "wf_info_for",
  "transition_of",
  "initial_state",
  "default_workflow",
  "allowed_transition",
  "destination_state",
  "from_state",
  "to_state",
  "condition",
  "subworkflow",
  "subworkflow_state",
  "subworkflow_exit",
  "by_transition",
  "in_group",
  "require_group",
  "for_user",
  "cw_import_of",
  "cw_host_config_of",
  "cw_source",
  "subject",
  "specializes",
  "relation_type",
  "from_entity",
  "to_entity",
  "constrained_by",
  "cstrtype",
  "constraint_of",
  "relations",
  "read_permission",
  "add_permission",
  "delete_permission",
  "update_permission",
];
